package math.prime;

import java.math.*;
import math.utils.*;

public class Primes09{
	public static void main(String[] args) {
		int a = 17;
		BigInteger b = PrimeUtil.generateMersenneNumber(a);
		Util.print("liczba pierwsza Mersenne'a dla n= " + a);
		Util.print(b);
		Util.print("Czy jest liczbą pierwszą?");
		boolean c = PrimeUtil.isPrime(b);
		Util.print(c);
	}
}
